// rsspecan_marker_functions_exampleDlg.h : header file
//

#pragma once


// Crsspecan_marker_functions_exampleDlg dialog
class Crsspecan_marker_functions_exampleDlg : public CDialog
{
// Construction
public:
	ViSession	m_InstrSession;
	void cleanup (ViBoolean deviceClear);
	Crsspecan_marker_functions_exampleDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_RSSPECAN_MARKER_FUNCTIONS_EXAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CString m_ResourceString;
public:
	BOOL m_IDQuery;
public:
	BOOL m_Reset;
public:
	int m_Input;
public:
	double m_GenAmplitude;
public:
	int m_PeakType;
public:
	double m_Excursion;
	ViStatus rsspecan_status;
public:
	afx_msg void OnBnClickedStart();
public:
	afx_msg void OnBnClickedStop();
public:
	afx_msg void OnBnClickedSearch();

private:
	void EnableButtons(bool enable);
	CString m_MarkerPos;
	CString m_MarkerAmpl;
};
